package com.steerinfo.meterwork.meterworkcheckfirstactual.mapper;

import com.steerinfo.baseinfo.meterbasespotinfo.model.MeterBaseSpotInfo;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.meterwork.meterworkcheckfirstactual.model.*;
import com.steerinfo.meterwork.meterworkrailwayactfirst.model.MeterWorkRailwayActFirst;
import com.steerinfo.meterwork.meterworkrailwayactual.model.MeterWorkRailwayActual;
import com.steerinfo.meterwork.meterworkrailwayreceived.model.MeterWorkRailwayReceived;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MeterWorkCheckFirstActualMapper extends IBaseMapper<MeterWorkCheckFirstActual, String> {
    List<MeterBaseSpotInfo> spotInfoList(HashMap<String, Object> pararms);
    List<MeterWorkCarActualFirst> carFirstDataList(HashMap<String, Object> pararms);
    List<FirstActualImgData> carFirstImgDataList(HashMap<String, Object> pararms);
    List<MeterWorkCarActual> carActualDataList(HashMap<String, Object> pararms);
    List<FirstActualImgData> carActualImgDataList(HashMap<String, Object> pararms);
    List<CarActualCountCheckNum> carActualCountCheckNum(HashMap<String, Object> pararms);
    List<CarFirstCountCheckNum> carFirstCountCheckNum(HashMap<String, Object> pararms);
    List<MeterWorkCheckFirstActualTemp> likeByDesc(HashMap<String, Object> pararms);
    List<CarFirstCountCheckNum> carFirstLikeByDesc(HashMap<String, Object> pararms);
    List<CarActualCountCheckNum> carActualLikeByDesc(HashMap<String, Object> pararms);

    List<MeterWorkRailwayActFirst> railwayFirstDataList(HashMap<String, Object> obj);

    List<MeterWorkRailwayActual> railwayActualDataList(HashMap<String, Object> obj);

    List<RailwayFirstActualImgData> railwayFirstImgDataList(HashMap params);

    List<RailwayFirstActualImgData> railwayActualImgDataList(HashMap params);

    List<MeterBaseSpotInfo> railwaySpotInfoList(HashMap params);

    List<RailwayFirstCountCheckNum> railwayFirstCountCheckNum(HashMap params);

    List<RailwayFirstCountCheckNum> railwayFirstLikeByDesc(HashMap params);

    List<RailwayActualCountCheckNum> railwayActualCountCheckNum(HashMap params);

    List<RailwayActualCountCheckNum> railwayActualLikeByDesc(HashMap params);

    List<MeterWorkCheckFirstActualRailwayTemp> railwayLikeByDesc(HashMap params);

    List<RailwayFirstCountCheckNum> railwayDynamicsFirstCountCheckNum(HashMap params);

    List<RailwayFirstCountCheckNum> railwayDynamicsFirstLikeByDesc(HashMap params);

    List<MeterBaseSpotInfo> railwayDynamicsSpotInfoList(HashMap params);

    List<MeterWorkRailwayReceived> railwayDynamicsFirstDataList(HashMap<String, Object> obj);

    List<RailwayFirstActualImgData> railwayDynamicsFirstImgDataList(HashMap params);

    List<MeterWorkCheckFirstActualRailwayTemp> railwayDynamicsLikeByDesc(HashMap params);
}
